## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSoundLoader Struct Reference

The sound loader is used to load sound files given a raw input data stream. More...

`#include <isound/loader.h>`

Inheritance diagram for iSoundLoader:

[legend]
List of all members.

## Public Member Functions

virtual csPtr< iSoundData > | LoadSound (void *Data, size_t Size)=0
| Create a sound object from raw input data.

## Detailed Description

The sound loader is used to load sound files given a raw input data stream.

Definition at line 32 of file loader.h.

## Member Function Documentation

virtual csPtr<iSoundData> iSoundLoader::LoadSound | ( | void * | Data,
|  | size_t | Size
| ) | `[pure virtual]`

| Create a sound object from raw input data.

The documentation for this struct was generated from the following file:

- isound/loader.h